#!/bin/env dls-python
import Encoder


class DaughterCardException(Exception):
    pass


class EncoderLB(Encoder.Encoder):

    def __init__(self, *args, **kwargs):
        super(EncoderLB, self).__init__(*args, **kwargs)

    def test_code(self):

        self.setup_quad()

        self.outputs = ['A', 'B', 'Z']
        self.inputs = self.outputs
        self.ch_connect = {
            self.outputs[0]: self.inputs[0],
            self.outputs[1]: self.inputs[1],
            self.outputs[2]: self.inputs[2],
        }
        default_val = 0
        self.toggle_val('OUTENC', '', 'INENC', '', default_val)
        self.setup_ssi()

        # #TOGGLE SSI FIELDS
        self.outputs = ['CLK']
        self.inputs = self.outputs
        self.ch_connect = {
            self.outputs[0]: self.inputs[0]
        }
        self.toggle_val('INENC', '', 'OUTENC', '', default_val)
        self.setup_data()
        self.outputs = ['DATA']
        self.inputs = self.outputs
        self.ch_connect = {
            self.outputs[0]: self.inputs[0]
        }
        self.toggle_val('OUTENC', '', 'INENC', '', default_val)
