#!/bin/env dls-python
import Encoder


class DaughterCardException(Exception):
    pass


class EncoderUP(Encoder.Encoder):

    def __init__(self, *args, **kwargs):
        super(EncoderUP, self).__init__(*args, **kwargs)
        self.test_type = 'Unplugged'

    def test_code(self):

        self.setup_quad()
        self.outputs = ['A', 'B', 'Z']
        self.inputs = self.outputs
        self.ch_connect = {
            self.outputs[0]: -1,
            self.outputs[1]: -1,
            self.outputs[2]: -1,
        }
        default_val = 1
        self.toggle_val('OUTENC', '', 'INENC', '', default_val)
        self.setup_ssi()

        # #TOGGLE SSI FIELDS
        self.outputs = ['CLK']
        self.inputs = self.outputs
        self.ch_connect = {
            self.outputs[0]: -1,
        }
        self.toggle_val('INENC', '', 'OUTENC', '', default_val)
        self.setup_data()
        self.outputs = ['DATA']
        self.inputs = self.outputs
        self.ch_connect = {
            self.outputs[0]: -1,
        }
        self.toggle_val('OUTENC', '', 'INENC', '', default_val)

